Index

A B C D E F G H I N O P R S T U V W 
All Classes and Interfaces|All Packages|Constant Field Values|Serialized Form

A

add(String) - Method in interface org.bremersee.comparator.ComparatorBuilder
Adds a default comparator for the given field (the value of the field must be comparable).
add(String, Comparator<?>) - Method in interface org.bremersee.comparator.ComparatorBuilder
Adds the given comparator for the given field name or path to this builder.
add(String, ValueExtractor, Comparator<?>) - Method in interface org.bremersee.comparator.ComparatorBuilder
Adds the given comparator for the given field name or path to this builder.
add(Comparator<?>) - Method in interface org.bremersee.comparator.ComparatorBuilder
Adds the given comparator to this builder.
add(Comparator<?>) - Method in class org.bremersee.comparator.ComparatorBuilder.DefaultComparatorBuilder
 
add(SortOrderItem) - Method in interface org.bremersee.comparator.ComparatorBuilder
Creates and adds a value comparator for the given field ordering description.
add(SortOrderItem, ValueExtractor) - Method in interface org.bremersee.comparator.ComparatorBuilder
Creates and adds a value comparator for the given field ordering description.
addAll(String) - Method in interface org.bremersee.comparator.ComparatorBuilder
Creates and adds value comparators for the given field ordering descriptions.
addAll(String, Function<SortOrderItem, Comparator<?>>) - Method in interface org.bremersee.comparator.ComparatorBuilder
Add all comparator builder.
addAll(String, ValueExtractor) - Method in interface org.bremersee.comparator.ComparatorBuilder
Creates and adds value comparators for the given field ordering descriptions.
addAll(Collection<? extends SortOrderItem>) - Method in interface org.bremersee.comparator.ComparatorBuilder
Creates and adds value comparators for the given field ordering descriptions.
addAll(Collection<? extends SortOrderItem>, Function<SortOrderItem, Comparator<?>>) - Method in interface org.bremersee.comparator.ComparatorBuilder
Adds comparators for the given sortOrders ordering descriptions.
addAll(Collection<? extends SortOrderItem>, ValueExtractor) - Method in interface org.bremersee.comparator.ComparatorBuilder
Creates and adds value comparators for the given field ordering descriptions.
addAll(SortOrder) - Method in interface org.bremersee.comparator.ComparatorBuilder
Creates and adds value comparators for the given field ordering descriptions.
addAll(SortOrder, Function<SortOrderItem, Comparator<?>>) - Method in interface org.bremersee.comparator.ComparatorBuilder
Add all comparator builder.
addAll(SortOrder, ValueExtractor) - Method in interface org.bremersee.comparator.ComparatorBuilder
Creates and adds value comparators for the given field ordering descriptions.
addArgumentResolvers(List<HandlerMethodArgumentResolver>) - Method in class org.bremersee.comparator.spring.boot.SortOrderWebAutoConfiguration
 
applyDefaults(Pageable, Sort.Direction, Boolean, Sort.NullHandling, String...) - Method in interface org.bremersee.comparator.spring.mapper.SortMapper
Apply defaults to page request.
applyDefaults(Sort, Sort.Direction, Boolean, Sort.NullHandling, String...) - Method in interface org.bremersee.comparator.spring.mapper.SortMapper
Apply defaults to sort.
argumentSeparator(String) - Method in class org.bremersee.comparator.model.ImmutableSortOrderTextSeparators.Builder
Initializes the value for the argumentSeparator attribute.
ASC - Enum constant in enum class org.bremersee.comparator.model.SortOrderItem.Direction
Ascending direction.

B

build() - Method in interface org.bremersee.comparator.ComparatorBuilder
Build comparator.
build() - Method in class org.bremersee.comparator.ComparatorBuilder.DefaultComparatorBuilder
 
build() - Method in class org.bremersee.comparator.model.ImmutableSortOrderTextSeparators.Builder
builder() - Static method in class org.bremersee.comparator.model.ImmutableSortOrderTextSeparators
Creates a builder for ImmutableSortOrderTextSeparators.
builder() - Static method in interface org.bremersee.comparator.model.SortOrderTextSeparators
The immutable builder.
by(String) - Static method in class org.bremersee.comparator.model.SortOrderItem
Creates a new sort order for the given field.
by(SortOrderItem...) - Static method in class org.bremersee.comparator.model.SortOrder
Creates new sort order with the given items.

C

chainSeparator(String) - Method in class org.bremersee.comparator.model.ImmutableSortOrderTextSeparators.Builder
Initializes the value for the chainSeparator attribute.
ComparatorBuilder - Interface in org.bremersee.comparator
The comparator builder.
ComparatorBuilder.DefaultComparatorBuilder - Class in org.bremersee.comparator
The default comparator builder.
ComparatorChain - Class in org.bremersee.comparator
The comparator chain has a list of comparators.
ComparatorChain(List<Comparator>) - Constructor for class org.bremersee.comparator.ComparatorChain
Instantiates a new comparator chain.
ComparatorException - Exception Class in org.bremersee.comparator
The comparator exception.
ComparatorException(String) - Constructor for exception class org.bremersee.comparator.ComparatorException
Instantiates a new comparator exception.
ComparatorException(String, Throwable) - Constructor for exception class org.bremersee.comparator.ComparatorException
Instantiates a new comparator exception.
ComparatorJaxbContextDataProvider - Class in org.bremersee.comparator
The comparator jaxb context data provider.
ComparatorJaxbContextDataProvider() - Constructor for class org.bremersee.comparator.ComparatorJaxbContextDataProvider
Instantiates a new jaxb context data provider of comparator model.
compare(Object, Object) - Method in class org.bremersee.comparator.ComparatorChain
 
compare(Object, Object) - Method in class org.bremersee.comparator.DelegatingComparator
 
compare(Object, Object) - Method in class org.bremersee.comparator.ValueComparator
 
configureArgumentResolvers(ArgumentResolverConfigurer) - Method in class org.bremersee.comparator.spring.boot.SortOrderWebFluxAutoConfiguration
 
convert(String) - Method in class org.bremersee.comparator.spring.converter.SortOrderConverter
 
convert(String) - Method in class org.bremersee.comparator.spring.converter.SortOrderItemConverter
 
copyOf(SortOrderTextSeparators) - Static method in class org.bremersee.comparator.model.ImmutableSortOrderTextSeparators
Creates an immutable copy of a SortOrderTextSeparators value.
createSortOrder() - Method in class org.bremersee.comparator.model.ObjectFactory
Create sort order.
createSortOrders() - Method in class org.bremersee.comparator.model.ObjectFactory
Create sort orders.

D

DEFAULT_CASE_HANDLING - Static variable in class org.bremersee.comparator.model.SortOrderItem
The constant DEFAULT_CASE_HANDLING.
DEFAULT_DIRECTION - Static variable in class org.bremersee.comparator.model.SortOrderItem
The constant DEFAULT_DIRECTION.
DEFAULT_NULL_HANDLING - Static variable in class org.bremersee.comparator.model.SortOrderItem
The constant DEFAULT_NULL_HANDLING.
DEFAULT_SEPARATOR - Static variable in class org.bremersee.comparator.model.SortOrder
The constant DEFAULT_SEPARATOR.
DEFAULT_SEPARATOR - Static variable in class org.bremersee.comparator.model.SortOrderItem
The constant DEFAULT_SEPARATOR.
DefaultComparatorBuilder() - Constructor for class org.bremersee.comparator.ComparatorBuilder.DefaultComparatorBuilder
Instantiates a new default comparator builder.
defaults() - Static method in interface org.bremersee.comparator.model.SortOrderTextSeparators
Default text separators.
defaultSort() - Element in annotation interface org.bremersee.comparator.spring.web.SortOrderRequestParam
The default sort order.
defaultSortMapper() - Static method in interface org.bremersee.comparator.spring.mapper.SortMapper
Returns default sort mapper.
defaultSortMapper(SortOrderTextSeparators) - Static method in interface org.bremersee.comparator.spring.mapper.SortMapper
Returns default sort mapper.
defaultSortMapper(SortOrderConverter) - Method in class org.bremersee.comparator.spring.boot.SortOrderAutoConfiguration
Creates sort mapper.
defaultSortMapper(SortOrderConverter) - Static method in interface org.bremersee.comparator.spring.mapper.SortMapper
Returns default sort mapper.
DefaultValueExtractor - Class in org.bremersee.comparator
The default value extractor supports field names and paths as described in SortOrderItem.
DefaultValueExtractor() - Constructor for class org.bremersee.comparator.DefaultValueExtractor
Instantiates a new default value extractor that will throw ValueExtractorException, if the given field cannot be found.
DefaultValueExtractor(boolean) - Constructor for class org.bremersee.comparator.DefaultValueExtractor
Instantiates a new default value extractor.
DelegatingComparator - Class in org.bremersee.comparator
The delegating comparator extracts the field value of the specified field name or path and uses the specified comparator for sorting.
DelegatingComparator(String, Comparator<?>) - Constructor for class org.bremersee.comparator.DelegatingComparator
Instantiates a new delegating comparator.
DelegatingComparator(String, ValueExtractor, Comparator<?>) - Constructor for class org.bremersee.comparator.DelegatingComparator
Instantiates a new delegating comparator.
DESC - Enum constant in enum class org.bremersee.comparator.model.SortOrderItem.Direction
Descending direction.

E

equals(Object) - Method in class org.bremersee.comparator.model.ImmutableSortOrderTextSeparators
This instance is equal to all instances of ImmutableSortOrderTextSeparators that have equal attribute values.

F

findField(Class<?>, String) - Method in interface org.bremersee.comparator.ValueExtractor
Find field with the given name of the specified class.
findField(Class<?>, String, Class<?>) - Method in interface org.bremersee.comparator.ValueExtractor
Find the field with the given name of the specified class.
findMethod(Class<?>, String) - Method in interface org.bremersee.comparator.ValueExtractor
Find the method with the given name and no parameters of the specified class.
findMethod(Class<?>, String, Class<?>...) - Method in interface org.bremersee.comparator.ValueExtractor
Find the method with the given name and parameters of the specified class.
findValue(Object, String) - Method in class org.bremersee.comparator.DefaultValueExtractor
 
findValue(Object, String) - Method in interface org.bremersee.comparator.ValueExtractor
Find the value of the given add name or path of the given object.
from(SortOrderTextSeparators) - Method in class org.bremersee.comparator.model.ImmutableSortOrderTextSeparators.Builder
Fill a builder with attribute values from the provided SortOrderTextSeparators instance.
fromSort(Sort) - Method in interface org.bremersee.comparator.spring.mapper.SortMapper
Transforms a Sort object into a sort order.
fromSortOrder(Sort.Order) - Method in interface org.bremersee.comparator.spring.mapper.SortMapper
Transforms a Sort.Order object into a sort order.
fromSortOrderText(String) - Static method in class org.bremersee.comparator.model.SortOrder
From sort order text.
fromSortOrderText(String) - Static method in class org.bremersee.comparator.model.SortOrderItem
From sort order text.
fromSortOrderText(String, SortOrderTextSeparators) - Static method in class org.bremersee.comparator.model.SortOrder
From sort order text.
fromSortOrderText(String, SortOrderTextSeparators) - Static method in class org.bremersee.comparator.model.SortOrderItem
From sort order text.
fromString(String) - Static method in enum class org.bremersee.comparator.model.SortOrderItem.CaseHandling
From string.
fromString(String) - Static method in enum class org.bremersee.comparator.model.SortOrderItem.Direction
From string.
fromString(String) - Static method in enum class org.bremersee.comparator.model.SortOrderItem.NullHandling
From string.

G

getArgumentSeparator() - Method in class org.bremersee.comparator.model.ImmutableSortOrderTextSeparators
Gets argument separator.
getArgumentSeparator() - Method in interface org.bremersee.comparator.model.SortOrderTextSeparators
Gets argument separator.
getChainSeparator() - Method in class org.bremersee.comparator.model.ImmutableSortOrderTextSeparators
Gets chain separator.
getChainSeparator() - Method in interface org.bremersee.comparator.model.SortOrderTextSeparators
Gets chain separator.
getDefaultFromAnnotationOrFallback(MethodParameter) - Method in class org.bremersee.comparator.spring.web.SortOrderHandlerMethodArgumentResolverSupport
Gets default from annotation or fallback.
getField() - Method in class org.bremersee.comparator.model.SortOrderItem
Gets field (can be null).
getItems() - Method in class org.bremersee.comparator.model.SortOrder
Gets the unmodifiable list of sort order items.
getJaxbContextData() - Method in class org.bremersee.comparator.ComparatorJaxbContextDataProvider
 
getNamespace() - Static method in class org.bremersee.comparator.ComparatorJaxbContextDataProvider
Gets namespace.
getParameterName(MethodParameter) - Method in class org.bremersee.comparator.spring.web.SortOrderHandlerMethodArgumentResolverSupport
Gets parameter name.
getPossibleMethodNames(String) - Method in interface org.bremersee.comparator.ValueExtractor
Get possible method names of the given field name.
getSortOrder(String) - Method in class org.bremersee.comparator.spring.mapper.SortMapper.DefaultSortMapper
 
getSortOrder(String) - Method in interface org.bremersee.comparator.spring.mapper.SortMapper
Gets sort order from text.
getSortOrderItemText(SortOrder) - Method in class org.bremersee.comparator.spring.mapper.SortMapper.DefaultSortMapper
 
getSortOrderItemText(SortOrder) - Method in interface org.bremersee.comparator.spring.mapper.SortMapper
Gets sort order text of items.
getSortOrderText() - Method in class org.bremersee.comparator.model.SortOrder
Creates the sort order text of this ordering descriptions.
getSortOrderText() - Method in class org.bremersee.comparator.model.SortOrderItem
Creates the sort order text of this ordering description.
getSortOrderText(SortOrder) - Method in class org.bremersee.comparator.spring.mapper.SortMapper.DefaultSortMapper
 
getSortOrderText(SortOrder) - Method in interface org.bremersee.comparator.spring.mapper.SortMapper
Gets sort order text.
getSortOrderText(SortOrderTextSeparators) - Method in class org.bremersee.comparator.model.SortOrder
Creates the sort order text of this ordering descriptions.
getSortOrderText(SortOrderTextSeparators) - Method in class org.bremersee.comparator.model.SortOrderItem
Creates the sort order text of this ordering description.

H

hashCode() - Method in class org.bremersee.comparator.model.ImmutableSortOrderTextSeparators
Computes a hash code from attributes: argumentSeparator, chainSeparator.

I

ImmutableSortOrderTextSeparators - Class in org.bremersee.comparator.model
Immutable implementation of SortOrderTextSeparators.
ImmutableSortOrderTextSeparators.Builder - Class in org.bremersee.comparator.model
Builds instances of type ImmutableSortOrderTextSeparators.
init() - Method in class org.bremersee.comparator.spring.boot.SortOrderAutoConfiguration
Init.
init() - Method in class org.bremersee.comparator.spring.boot.SortOrderWebAutoConfiguration
Init.
init() - Method in class org.bremersee.comparator.spring.boot.SortOrderWebFluxAutoConfiguration
Init.
INSENSITIVE - Enum constant in enum class org.bremersee.comparator.model.SortOrderItem.CaseHandling
Insensitive case-handling.
invoke(Field, Object) - Method in interface org.bremersee.comparator.ValueExtractor
Invoke the given field on the given object.
invoke(Method, Object) - Method in interface org.bremersee.comparator.ValueExtractor
Invoke the given method on the given object.
isAscending() - Method in enum class org.bremersee.comparator.model.SortOrderItem.Direction
Returns whether the direction is ascending.
isDescending() - Method in enum class org.bremersee.comparator.model.SortOrderItem.Direction
Returns whether the direction is descending.
isEmpty() - Method in class org.bremersee.comparator.model.SortOrder
Checks whether the list of items is empty or not.
isInsensitive() - Method in enum class org.bremersee.comparator.model.SortOrderItem.CaseHandling
Returns whether the case-handling is insensitive.
isNullFirst() - Method in enum class org.bremersee.comparator.model.SortOrderItem.NullHandling
Is null first.
isNullLast() - Method in enum class org.bremersee.comparator.model.SortOrderItem.NullHandling
Is null last.
isSensitive() - Method in enum class org.bremersee.comparator.model.SortOrderItem.CaseHandling
Returns whether the case-handling is sensitive.
isSorted() - Method in class org.bremersee.comparator.model.SortOrder
Checks whether this sort order contains any entries.
isUnsorted() - Method in class org.bremersee.comparator.model.SortOrder
Checks whether this sort order contains any entries.

N

name() - Element in annotation interface org.bremersee.comparator.spring.web.SortOrderRequestParam
The name of the request parameter.
NATIVE - Enum constant in enum class org.bremersee.comparator.model.SortOrderItem.NullHandling
Native null-handling.
newInstance() - Static method in interface org.bremersee.comparator.ComparatorBuilder
Creates a new comparator builder.
NULLS_FIRST - Enum constant in enum class org.bremersee.comparator.model.SortOrderItem.NullHandling
Nulls first handling.
NULLS_LAST - Enum constant in enum class org.bremersee.comparator.model.SortOrderItem.NullHandling
Nulls last handling.

O

ObjectFactory - Class in org.bremersee.comparator.model
The xml object factory.
ObjectFactory() - Constructor for class org.bremersee.comparator.model.ObjectFactory
Instantiates a new object factory.
org.bremersee.comparator - package org.bremersee.comparator
This package contains general mechanism for comparing and sorting objects.
org.bremersee.comparator.model - package org.bremersee.comparator.model
This package contains the model of the comparator.
org.bremersee.comparator.spring.boot - package org.bremersee.comparator.spring.boot
 
org.bremersee.comparator.spring.converter - package org.bremersee.comparator.spring.converter
This package contains converters to parse the string representation of sort order(s).
org.bremersee.comparator.spring.mapper - package org.bremersee.comparator.spring.mapper
This package contains a mapper for converting SortOrder into Spring's Sort and vice versa.
org.bremersee.comparator.spring.web - package org.bremersee.comparator.spring.web
 

P

parseParameterValues(List<String>) - Method in class org.bremersee.comparator.spring.web.SortOrderHandlerMethodArgumentResolverSupport
Parse parameter values.

R

ReactiveSortOrderHandlerMethodArgumentResolver - Class in org.bremersee.comparator.spring.web
The reactive sort order handler method argument resolver.
ReactiveSortOrderHandlerMethodArgumentResolver() - Constructor for class org.bremersee.comparator.spring.web.ReactiveSortOrderHandlerMethodArgumentResolver
Instantiates a new reactive sort order handler method argument resolver.
resolveArgument(MethodParameter, ModelAndViewContainer, NativeWebRequest, WebDataBinderFactory) - Method in class org.bremersee.comparator.spring.web.SortOrderHandlerMethodArgumentResolver
 
resolveArgumentValue(MethodParameter, BindingContext, ServerWebExchange) - Method in class org.bremersee.comparator.spring.web.ReactiveSortOrderHandlerMethodArgumentResolver
 

S

SENSITIVE - Enum constant in enum class org.bremersee.comparator.model.SortOrderItem.CaseHandling
Sensitive case-handling.
setTextSeparators(SortOrderTextSeparators) - Method in class org.bremersee.comparator.spring.web.SortOrderHandlerMethodArgumentResolverSupport
Sets text separators.
SortMapper - Interface in org.bremersee.comparator.spring.mapper
This mapper provides methods to transform a SortOrderItem into a Sort object from the Spring framework (spring-data-common) and vice versa.
SortMapper.DefaultSortMapper - Class in org.bremersee.comparator.spring.mapper
The default sort mapper.
SortOrder - Class in org.bremersee.comparator.model
The sort order is a list of sort order items.
SortOrder() - Constructor for class org.bremersee.comparator.model.SortOrder
Instantiates an empty sort order.
SortOrder(Collection<? extends SortOrderItem>) - Constructor for class org.bremersee.comparator.model.SortOrder
Instantiates a new unmodifiable sort order.
SortOrderAutoConfiguration - Class in org.bremersee.comparator.spring.boot
The sort order autoconfiguration.
SortOrderAutoConfiguration(SortOrderConverterProperties) - Constructor for class org.bremersee.comparator.spring.boot.SortOrderAutoConfiguration
Instantiates a new sort order converter autoconfiguration.
sortOrderConverter() - Method in class org.bremersee.comparator.spring.boot.SortOrderAutoConfiguration
Creates sort order converter.
SortOrderConverter - Class in org.bremersee.comparator.spring.converter
The sort order converter.
SortOrderConverter() - Constructor for class org.bremersee.comparator.spring.converter.SortOrderConverter
Instantiates a new sort order converter.
SortOrderConverter(SortOrderTextSeparators) - Constructor for class org.bremersee.comparator.spring.converter.SortOrderConverter
Instantiates a new sort order converter.
SortOrderConverterProperties - Class in org.bremersee.comparator.spring.boot
The sort order converter properties.
SortOrderConverterProperties() - Constructor for class org.bremersee.comparator.spring.boot.SortOrderConverterProperties
Instantiates new sort order converter properties.
SortOrderHandlerMethodArgumentResolver - Class in org.bremersee.comparator.spring.web
The sort order handler method argument resolver.
SortOrderHandlerMethodArgumentResolver() - Constructor for class org.bremersee.comparator.spring.web.SortOrderHandlerMethodArgumentResolver
Instantiates a new sort order handler method argument resolver.
SortOrderHandlerMethodArgumentResolverSupport - Class in org.bremersee.comparator.spring.web
The sort order handler method argument resolver support.
SortOrderHandlerMethodArgumentResolverSupport() - Constructor for class org.bremersee.comparator.spring.web.SortOrderHandlerMethodArgumentResolverSupport
Instantiates a new sort order handler method argument resolver support.
SortOrderItem - Class in org.bremersee.comparator.model
This class defines the sort order of a field.
SortOrderItem() - Constructor for class org.bremersee.comparator.model.SortOrderItem
Instantiates a new sort order item.
SortOrderItem(String, SortOrderItem.Direction, SortOrderItem.CaseHandling, SortOrderItem.NullHandling) - Constructor for class org.bremersee.comparator.model.SortOrderItem
Instantiates a new sort order item.
SortOrderItem.CaseHandling - Enum Class in org.bremersee.comparator.model
The case-handling.
SortOrderItem.Direction - Enum Class in org.bremersee.comparator.model
The direction.
SortOrderItem.NullHandling - Enum Class in org.bremersee.comparator.model
The null-handling.
sortOrderItemConverter() - Method in class org.bremersee.comparator.spring.boot.SortOrderAutoConfiguration
Creates sort order item converter.
SortOrderItemConverter - Class in org.bremersee.comparator.spring.converter
The sort order item converter.
SortOrderItemConverter() - Constructor for class org.bremersee.comparator.spring.converter.SortOrderItemConverter
Instantiates a new sort order item converter.
SortOrderItemConverter(SortOrderTextSeparators) - Constructor for class org.bremersee.comparator.spring.converter.SortOrderItemConverter
Instantiates a new sort order item converter.
SortOrderRequestParam - Annotation Interface in org.bremersee.comparator.spring.web
The sort order request parameter.
SortOrderTextSeparators - Interface in org.bremersee.comparator.model
The sort order text separators.
SortOrderWebAutoConfiguration - Class in org.bremersee.comparator.spring.boot
The sort order autoconfiguration for webmvc.
SortOrderWebAutoConfiguration(SortOrderConverterProperties) - Constructor for class org.bremersee.comparator.spring.boot.SortOrderWebAutoConfiguration
Instantiates a new sort order autoconfiguration for webmvc.
SortOrderWebFluxAutoConfiguration - Class in org.bremersee.comparator.spring.boot
The sort order autoconfiguration for webflux.
SortOrderWebFluxAutoConfiguration(SortOrderConverterProperties) - Constructor for class org.bremersee.comparator.spring.boot.SortOrderWebFluxAutoConfiguration
Instantiates a new sort order autoconfiguration for webflux.
supportsParameter(MethodParameter) - Method in class org.bremersee.comparator.spring.web.ReactiveSortOrderHandlerMethodArgumentResolver
 
supportsParameter(MethodParameter) - Method in class org.bremersee.comparator.spring.web.SortOrderHandlerMethodArgumentResolver
 

T

toSort(SortOrder) - Method in interface org.bremersee.comparator.spring.mapper.SortMapper
Transforms sort order into a Sort object.
toSortOrder(SortOrderItem) - Method in interface org.bremersee.comparator.spring.mapper.SortMapper
Transforms the sort order into a Sort.Order object.
toString() - Method in class org.bremersee.comparator.model.ImmutableSortOrderTextSeparators
Prints the immutable value SortOrderTextSeparators with attribute values.
toString() - Method in class org.bremersee.comparator.model.SortOrder
 
toString() - Method in enum class org.bremersee.comparator.model.SortOrderItem.CaseHandling
 
toString() - Method in enum class org.bremersee.comparator.model.SortOrderItem.Direction
 
toString() - Method in enum class org.bremersee.comparator.model.SortOrderItem.NullHandling
 
toString() - Method in class org.bremersee.comparator.model.SortOrderItem
 

U

unsorted() - Static method in class org.bremersee.comparator.model.SortOrder
 

V

ValueComparator - Class in org.bremersee.comparator
The value comparator extracts field value of the specified field name or path and uses the specified description (ascending or descending, case-sensitive or insensitive and 'null-handling') for sorting.
ValueComparator(SortOrderItem) - Constructor for class org.bremersee.comparator.ValueComparator
Instantiates a new value comparator.
ValueComparator(SortOrderItem, ValueExtractor) - Constructor for class org.bremersee.comparator.ValueComparator
Instantiates a new value comparator.
ValueExtractor - Interface in org.bremersee.comparator
The value extractor finds the value of a given field name or path by reflection.
ValueExtractorException - Exception Class in org.bremersee.comparator
The value extractor exception.
ValueExtractorException(String) - Constructor for exception class org.bremersee.comparator.ValueExtractorException
Instantiates a new value extractor exception.
ValueExtractorException(String, Throwable) - Constructor for exception class org.bremersee.comparator.ValueExtractorException
Instantiates a new value extractor exception.
valueOf(String) - Static method in enum class org.bremersee.comparator.model.SortOrderItem.CaseHandling
Returns the enum constant of this class with the specified name.
valueOf(String) - Static method in enum class org.bremersee.comparator.model.SortOrderItem.Direction
Returns the enum constant of this class with the specified name.
valueOf(String) - Static method in enum class org.bremersee.comparator.model.SortOrderItem.NullHandling
Returns the enum constant of this class with the specified name.
values() - Static method in enum class org.bremersee.comparator.model.SortOrderItem.CaseHandling
Returns an array containing the constants of this enum class, in the order they are declared.
values() - Static method in enum class org.bremersee.comparator.model.SortOrderItem.Direction
Returns an array containing the constants of this enum class, in the order they are declared.
values() - Static method in enum class org.bremersee.comparator.model.SortOrderItem.NullHandling
Returns an array containing the constants of this enum class, in the order they are declared.

W

with(SortOrderItem.CaseHandling) - Method in class org.bremersee.comparator.model.SortOrderItem
With given case-handling.
with(SortOrderItem.Direction) - Method in class org.bremersee.comparator.model.SortOrderItem
With given direction.
with(SortOrderItem.NullHandling) - Method in class org.bremersee.comparator.model.SortOrderItem
With given null-handling.
withArgumentSeparator(String) - Method in class org.bremersee.comparator.model.ImmutableSortOrderTextSeparators
Copy the current immutable object by setting a value for the argumentSeparator attribute.
withChainSeparator(String) - Method in class org.bremersee.comparator.model.ImmutableSortOrderTextSeparators
Copy the current immutable object by setting a value for the chainSeparator attribute.
A B C D E F G H I N O P R S T U V W 
All Classes and Interfaces|All Packages|Constant Field Values|Serialized Form